Package be.cin.nip.async.generic

# Class QueryParameters

java.lang.Object
be.cin.nip.async.generic.QueryParameters

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class QueryParameters extends Object implements Serializable

Java class for QueryParameters complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="QueryParameters">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="includeIOs" type="{urn:be:cin:types:v1}StringList"/>
             <element name="excludeIOs" type="{urn:be:cin:types:v1}StringList"/>
             <element name="tackMessageNames" type="{urn:be:cin:types:v1}StringList" minOccurs="0"/>
           </sequence>
           <attribute name="Reference" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getExcludeIOs()`
  Gets the value of the excludeIOs property.
  `List<String>`
  `getIncludeIOs()`
  Gets the value of the includeIOs property.
  `String`
  `getReference()`
  Gets the value of the reference property.
  `List<String>`
  `getTackMessageNames()`
  Gets the value of the tackMessageNames property.
  `void`
  `setReference(String value)`
  Sets the value of the reference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryParameters

    public QueryParameters()

- ## Method Details

  - ### getIncludeIOs

    public List<String> getIncludeIOs()
    Gets the value of the includeIOs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the includeIOs property.

    For example, to add a new item, do as follows:

         getIncludeIOs().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the includeIOs property.

  - ### getExcludeIOs

    public List<String> getExcludeIOs()
    Gets the value of the excludeIOs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the excludeIOs property.

    For example, to add a new item, do as follows:

         getExcludeIOs().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the excludeIOs property.

  - ### getTackMessageNames

    public List<String> getTackMessageNames()
    Gets the value of the tackMessageNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tackMessageNames property.

    For example, to add a new item, do as follows:

         getTackMessageNames().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the tackMessageNames property.

  - ### getReference

    public String getReference()
    Gets the value of the reference property.
    Returns:
      possible object is `String`

  - ### setReference

    public void setReference(String value)
    Sets the value of the reference property.
    Parameters:
      `value` - allowed object is `String`